Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.storage.beanmanagers
Interface RMSBeanMgr

All Superinterfaces:
  RMBeanManager

All Known Implementing Classes:
  InMemoryRMSBeanMgr

    public interface RMSBeanMgr

extends RMBeanManager

This is used to manage CreateSequence beans.

Method Summary
`boolean` | `delete(java.lang.String msgId)`
`java.util.List<RMSBean>` | `find(RMSBean bean)`
`RMSBean` | `findUnique(RMSBean bean)`
`boolean` | `insert(RMSBean bean)`
`RMSBean` | `retrieve(java.lang.String msgId)`
`RMSBean` | `retrieveByInternalSequenceID(java.lang.String internalSeqId)`
`RMSBean` | `retrieveBySequenceID(java.lang.String seqId)`
`boolean` | `update(RMSBean bean)`

Method Detail

### insert

    boolean insert(RMSBean bean)
                   throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### delete

    boolean delete(java.lang.String msgId)
                   throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### retrieve

    RMSBean retrieve(java.lang.String msgId)
                     throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### update

    boolean update(RMSBean bean)
                   throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### find

    java.util.List<RMSBean> find(RMSBean bean)
                                 throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### findUnique

    RMSBean findUnique(RMSBean bean)
                       throws SandeshaException

  Throws:
    `SandeshaException`

### retrieveBySequenceID

    RMSBean retrieveBySequenceID(java.lang.String seqId)
                                 throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### retrieveByInternalSequenceID

    RMSBean retrieveByInternalSequenceID(java.lang.String internalSeqId)
                                         throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.